#version 450

in vec3 position;

out vec3 dir;

uniform mat4 projection;
uniform mat4 view;

void main()
{
	dir = normalize(position);
	vec4 pos = projection * view * vec4(position, 1.0);
    gl_Position = pos.xyww;
}